Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## bea.com/loc/metadata
complexType locMetadataType

    {http://www.w3.org/2001/XMLSchema}anyType
        {bea.com/loc/metadata}locMetadataType

Model
  `<...>
  functions?, constraint-bindings?, services?, connection-factories?, connection-infos?, constraints?, notifications?, pipelines?, actions?, adjudicator?, metadata?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: loc-metadata

Documentation

      This is the type of the root element for the LOC metadata configuration.

Nested Element Summary
`functionsType` | `functions` optional Function definitions which may be used when defining constraints.
`constraintsType` | `constraint-bindings` optional Globally scoped constraint bindings.
`servicesType` | `services` optional Definitions for the services managed by this LOC controller instance
`factoriesType` | `connection-factories` optional A set of factory classes for instantiating connections to some endpoint.
`connectionInfosType` | `connection-infos` optional Information needed to initialize the connection to an endpoint that will be used in a notification action.
`constraintsDefinitionType` | `constraints` optional The constraint definitions used to define policy for services managed by this LOC controller instance.
`notificationsType` | `notifications` optional Definitions for notifications that are made when actions or pipelines are executed when policy violations occur.
`pipelinesDefinitionType` | `pipelines` optional Lists of actions which may be executed as the result of a policy violation.
`actionsConfigurationType` | `actions` optional Individual actions which may be executed as the result of a policy violation.
`adjudicatorConfigurationType` | `adjudicator` optional Defines an adjudication handler for actions and pipelines.
`metadataType` | `metadata` optional Information used for starting process instances.

Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 10.3